Subject: [Dmsp] Incompleteness of the Draft.

From: George Refseth <[email-masked]>
Date: Wed, 08 Feb 2006 16:15:25 +0100

-------------
COMMENTS INLINE
-------------

4.2.6.10.  Start and Stop Playback Event Message

------------
SECTION CAPTION COPY PASTED AND DOES NOT REFLECT CONTENT
------------

   The VUA notifies the GUI User Agent when playback of TTS encounters a
   mark in the prompt text.  In addition to the common event fields, the
   payload for the Playback Mark Event includes:

   Mark: The mark label or tag contained in the prompt text.

Engelsma & Cross         Expires August 10, 2006               [Page 34]

Internet-Draft                DMSP Protocol                February 2006

   +-----------------+--------------+--------------+-------------------+
   | Field           | Type         | Byte Length  | Value             |
   +-----------------+--------------+--------------+-------------------+
   | Message Type    | Integer      | 1            | MSG_EVENT         |
   | Message Subtype | Integer      | 1            | EVT_PLAYBACK_MARK |
   | Correlation     | Integer      | 4            |                   |
   | Target Node     | String       | Variable     |                   |
   | Mark            | String       | Variable     |                   |
   +-----------------+--------------+--------------+-------------------+

            Table 42: Extended Recognition Result Event Message

----------------
TABLE CAPTION  COPY PASTED AND DOES NOT REFLECT CONTENT
----------------

4.2.6.11.  Custom Event Message

   The VUA and GUA may implement custom events not specified in the
   protocol.  Custom events may hinder interoperation between user
   agents from different vendors.  In addition to the common event
   fields, the payload for the Custom Event includes:

   Name: The custom event name.

   Value: The value for the event.

   +-----------------+--------------+--------------+-------------------+
   | Field           | Type         | Byte Length  | Value             |
   +-----------------+--------------+--------------+-------------------+
   | Message Type    | Integer      | 1            | MSG_EVENT         |
   | Message Subtype | Integer      | 1            | EVT_PLAYBACK_MARK |
   | Correlation     | Integer      | 4            |                   |
   | Target Node     | String       | Variable     |                   |
   | Name            | String       | Variable     |                   |
   | Value           | String       | Variable     |                   |
   +-----------------+--------------+--------------+-------------------+

            Table 43: Extended Recognition Result Event Message

--------------------
 TABLE CONTENT AND CAPTION COPY PASTED AND DOES NOT COVER CONTENT OF SECTION
--------------------

_______________________________________________
Dmsp mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dmsp

---

From: Chris Cross <[email-masked]>
Date: Wed, 8 Feb 2006 11:27:58 -0500

Good catch George, someone is actually reading! I assume you're familiar
with the condition of becoming cross-eyed while writing something like
this... Now that we have a group our quality should go up :)

thanks,
chris

Chris Cross
Multimodal Browser Architect
_________________________
IBM Boca Raton
[email-masked]
voice 561.862.2102  t/l 975.2102
mobile 561.317.0700
fax 501.641.6727

             George Refseth                                                
             <[email-masked]>                                               
             Sent by:                                                   To 
             dmsp-bounces@ietf         [email-masked]                       
             .org                                                       cc 
                                                                           
                                                                   Subject 
             02/08/2006 10:15          [Dmsp] Incompleteness of the Draft. 
             AM                                                            

-------------
COMMENTS INLINE
-------------

------------

----------------

--------------------
 TABLE CONTENT AND CAPTION COPY PASTED AND DOES NOT COVER CONTENT OF
SECTION
--------------------